CLARKE2(9)

NAME

clarke2 - Two input version of Clarke transform

SYNOPSIS

loadrt clarke2 [count=N|names=name1[,name2...]]

DESCRIPTION

The Clarke transform can be used to translate a vector quantity from a three phase system (three components 120 degrees apart) to a two phase Cartesian system.

clarke2 implements a special case of the Clarke transform, which only needs two of the three input phases. In a three wire three phase system, the sum of the three phase currents or voltages must always be zero. As a result only two of the three are needed to completely define the current or voltage. clarke2 assumes that the sum is zero, so it only uses phases A and B of the input. Since the H (homopolar) output will always be zero in this case, it is not generated.

FUNCTIONS

clarke2.N (requires a floating-point thread)

PINS

clarke2.N.a float in

clarke2.N.b float in
    first two phases of three phase input

clarke2.N.x float out

clarke2.N.y float out
    cartesian components of output

SEE ALSO

clarke3(9) for the general case, clarkeinv(9) for the inverse transform.

AUTHOR

John Kasunich

LICENSE

GPL